Summary: The GNU data compression program.
Name: gzip
Version: 1.3.3
Release: 5m
License: GPL
Group: Applications/File
Source0: ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0: gzip-1.3-openbsd-owl-tmp.diff
Patch1: gzip-1.2.4-zforce.patch
Patch2: gzip-1.3.2-dirinfo.patch
Patch3: gzip-1.3-stderr.patch
Patch4: gzip-1.3.1-zgreppipe.patch
# Currently disabled - #66913
Patch5: gzip-1.3-rsync.patch

#Patch2: gzip-1.3-mktemp.patch
#Patch: gzip-1.2.4-basename.patch
#Patch1: gzip-1.2.4-gzexe.patch
#Patch2: gzip-1.2.4-mktemp.patch
#Patch5: gzip-1.2.4a-dirinfo.patch
#Patch6: gzip-1.3.2-overflow.patch
Prereq: info
Requires: mktemp pager
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gzip.org/
#NoSource: 0

%description
The gzip package contains the popular GNU gzip data compression
program.  Gzipped files have a .gz extension.  

Gzip should be installed on your Red Hat Linux system, because it is a
very commonly used data compression program.

%prep
%setup -q
%patch0 -p1 -b .openbsd
%patch1 -p1 -b .zforce
#%patch2 -p1 -b .dirinfo
%patch3 -p1 -b .stderr
%patch4 -p1 -b .nixi
#%patch5 -p1 -b .rsync

%build
export DEFS="-DNO_ASM"
export CPPFLAGS="-DHAVE_LSTAT"
%configure --bindir=/bin
make
make gzip.info

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall  bindir=%{buildroot}/bin gzip.info
mkdir -p %{buildroot}/usr/bin
ln -sf ../../bin/gzip %{buildroot}/usr/bin/gzip
ln -sf ../../bin/gunzip %{buildroot}/usr/bin/gunzip
for i in  zcmp zegrep zforce zless znew gzexe zdiff zfgrep zgrep zmore ; do
    mv %{buildroot}/bin/$i %{buildroot}/usr/bin/$i
done
# gzip -9nf %{buildroot}%{_infodir}/gzip.info*

cat > %{buildroot}/usr/bin/zless <<EOF
#!/bin/sh
/bin/zcat "\$@" | \${PAGER-/usr/bin/less}
EOF
chmod 755 %{buildroot}/usr/bin/zless

# remove
rm -f %{buildroot}%{_infodir}/dir

%post
/sbin/install-info %{_infodir}/gzip.info.* %{_infodir}/dir 

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/gzip.info.* %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc NEWS README AUTHORS ChangeLog THANKS TODO
/bin/*
/usr/bin/*
%{_mandir}/man?/*
%{_infodir}/gzip.info*

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (1.3.3-5m)
- revised spec for enabling rpm 4.2.

* Tue Nov 19 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (1.3.3-4m)
- require pager instead of less.

* Tue Jul 23 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.3-3m)
- modified specfile based on rawhide

* Fri Mar 15 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.3.3-2k)
- update to 1.3.3

* Mon Jan 14 2002 WATABE Toyokazu <toy2@kondara.org>
- (1.3.2-4k)
- add gzip-1.3.2-overflow.patch, fixing security holes.
  http://www.securityfocus.com/bid/3712

* Thu Nov 22 2001 TABUCHI Takaaki <tab@kondara.org>
- (1.3.2-2k)
- version up to 1.3.2
- adapt gzip-1.2.4a-dirinfo.patch to 1.3.2, but Is this correct?

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Tue Jun 20 2000 AYUHANA Tomonori <l@kondara.org>
- merge from RawHide (1.3-4)

* Wed Mar  1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- version up to man-pages-ja-GNU_gzip-20000115

* Thu Nov 25 1999 Masako Hattori <maru@kondara.org>
- version up to man-pages-ja-GNU_gzip-19991115

* Mon Nov 8 1999 Tenkou N. Hattori <tnh@kondara.org>
- remove translation_list.
- change to nosrc.rpm.

* Wed Nov 3 1999 Norihito Ohmori <nono@kondara.org>
- /usr/share/man -> %{_mandir}

* Fri Oct 29 1999 Norihito Ohmori <nono@kondara.org>
- add defattr

* Sun Oct 16 1999 Norihito Ohmori <nono@kondara.org>
- add Japanese Manual

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- built against gliibc 2.1

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- added /usr/bin/gzip and /usr/bin/gunzip symlinks as some programs are too
  brain dead to figure out they should be at least trying to use $PATH
- added BuildRoot

* Wed Jan 28 1998 Erik Troan <ewt@redhat.com>
- fix /tmp races

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- uses install-info
- applied patch for gzexe

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Marc Ewing <marc@redhat.com>
- (Entry added for Marc by Erik) fixed gzexe to use /bin/gzip

